[package]
name = "rustboot"
version = "0.1.0"
edition = "2024"
authors = [ "mtgmonkey" ]

# quit QEMU
[package.metadata.bootimage]
test-args = [ "device", "isa-debug-exit,iobase=0xf4,iosize=0x04",
"-serial", "stdio",
"-display", "none" ]
test-success-exit-code = 33 # (0x10 << 1) | 1
test-timeout = 30 # in seconds

[lib]
crate-type = ["staticlib"]        # library that contains all dependencies

[dependencies]
multiboot2 = "0.23"
pc-keyboard = "0.8"
pic8259 = "0.11"
rlibc = "1.0"
spin = "0.10"
volatile = "0.3"      # 0.3 is newest functional version
x86_64 = "0.15"       # 0.14 is newest functional version

[dependencies.lazy_static]
version = "1.5"
features = ["spin_no_std"]
